# -*- coding: utf-8 -*-
"""
Created on Wed Sep 27 18:13:27 2017

@author:  Alvaro Magdaleno Gonzalez
"""

TOL = 1e-8 # "Zero" tolerance

# Predefined boundary conditions
CLAMPED = {'ux':0,
           'uy':0,
           'th':0}
FIXED = {'ux':0,
         'uy':0,
         'th':1}
H_MOVING = {'ux':1,
         'uy':0,
         'th':1}
V_MOVING = {'ux':0,
         'uy':1,
         'th':1}
H_MOV_CLA = {'ux':1,
         'uy':0,
         'th':0}
V_MOV_CLA = {'ux':0,
         'uy':1,
         'th':0}
FREE = {'ux':1,
        'uy':1,
        'th':1}